# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "dbcrossbarlib"
version = "0.4.2-beta.11"
authors = ["Eric Kidd <git@randomhacks.net>"]
description = "Library for copying data between databases (pre-release)"
homepage = "https://www.dbcrossbar.org/"
documentation = "https://docs.rs/dbcrossbarlib/"
readme = "README.md"
keywords = ["database"]
categories = ["database", "filesystem"]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/dbcrossbar/dbcrossbar"
[dependencies.async-trait]
version = "0.1.29"

[dependencies.base64]
version = "0.13.0"

[dependencies.big_enum_set]
version = "0.2.1"

[dependencies.bigml]
version = "0.7.0"

[dependencies.byteorder]
version = "1.3.1"

[dependencies.bytes]
version = "1.0.1"

[dependencies.cast]
version = "0.2.3"

[dependencies.chrono]
version = "0.4.6"

[dependencies.codespan-reporting]
version = "0.11.0"

[dependencies.common_failures]
version = "0.1.1"

[dependencies.crc32c]
version = "0.5.0"

[dependencies.csv]
version = "1.0.5"

[dependencies.dirs]
version = "3.0"

[dependencies.failure]
version = "0.1.2"

[dependencies.futures]
version = "0.3.1"

[dependencies.geo-types]
version = "0.6.0"

[dependencies.geojson]
version = "0.21.0"
features = ["geo-types"]

[dependencies.headers]
version = "0.3.2"

[dependencies.hex]
version = "0.4.0"

[dependencies.hmac]
version = "0.10.1"

[dependencies.hyper]
version = "0.14.2"

[dependencies.hyper-rustls]
version = "0.22.1"

[dependencies.itertools]
version = "0.10.0"

[dependencies.lazy_static]
version = "1.2.0"

[dependencies.log]
version = "0.4.5"

[dependencies.mime]
version = "0.3.16"

[dependencies.native-tls]
version = "0.2.2"

[dependencies.parse_link_header]
version = "0.2.0"

[dependencies.peg]
version = "0.6.2"

[dependencies.percent-encoding]
version = "2.1.0"

[dependencies.postgis]
version = "0.7.0"

[dependencies.postgres-native-tls]
version = "0.5.0"

[dependencies.rand]
version = "0.8.1"

[dependencies.regex]
version = "1.1.0"

[dependencies.reqwest]
version = "0.11.0"
features = ["json", "stream"]

[dependencies.serde]
version = "1.0.79"

[dependencies.serde_derive]
version = "1.0.79"

[dependencies.serde_json]
version = "1.0.32"

[dependencies.serde_urlencoded]
version = "0.7.0"

[dependencies.sha-1]
version = "0.9.0"

[dependencies.sha2]
version = "0.9.0"

[dependencies.slog]
version = "2.4.1"

[dependencies.strum]
version = "0.20.0"

[dependencies.strum_macros]
version = "0.20.1"

[dependencies.termcolor]
version = "1.1.0"

[dependencies.tokio]
version = "1.0.1"
features = ["fs", "io-std", "io-util", "process", "rt", "rt-multi-thread", "sync", "time"]

[dependencies.tokio-postgres]
version = "0.7.0"

[dependencies.tokio-stream]
version = "0.1.2"
features = ["io-util"]

[dependencies.toml_edit]
version = "0.2.0"

[dependencies.url]
version = "2.1.0"

[dependencies.uuid]
version = "0.8.1"

[dependencies.walkdir]
version = "2.2.9"

[dependencies.yup-oauth2]
version = "5.0.1"
[dev-dependencies.main_error]
version = "0.1.0"

[dev-dependencies.slog-async]
version = "2.3.0"

[dev-dependencies.slog-envlogger]
version = "2.1.0"

[dev-dependencies.slog-term]
version = "2.4.0"

[dev-dependencies.tempfile]
version = "3.1.0"
